import React, {useState, useCallback, useEffect} from 'react';
import ReactDOM from 'react-dom';
import { schemeYlOrRd, scaleSequential, max } from 'd3';
import { getMexico } from './getMexico';
import { Marks } from './Marks';
import { tooltipContext } from "./Tooltip";
import { Dropdown } from "./Dropdown";



const regions = [
  {value: "region1", label: "region 1"},
  {value: "region2", label: "region 2"},
  {value: "region3", label: "region 3"},
  {value: "region4", label: "region 4"},
  {value: "region5", label: "region 5"},
  {value: "region6", label: "region 6"},
  {value: "region7", label: "region 7"},
  {value: "region8", label: "region 8"},
  {value: "region9", label: "region 9"},
  {value: "region10", label: "region 10"},
  {value: "region11", label: "region 11"},
  {value: "region12", label: "region 12"}
  ];



const width = 960;
const height = 500;

const App = () => {
  const [selectedRegion, setSelectedRegion] = useState();
  console.log("selectedState:", selectedRegion)
  const atlasMex = getMexico();
  if (!atlasMex) {
    return <pre>Loading...</pre>;
  }
  
  return (
    <>
      <label for="region-select"> Region Select: </label>
      <Dropdown regions={regions} onSelectedRegionChange={setSelectedRegion} id="region-select"/>
    <svg width={width} height={height} >
        <Marks atlasMex={atlasMex} selectedRegion={selectedRegion} />
    </svg>
    </>
  );
};


const rootElement = document.getElementById('root');
  
ReactDOM.render(<App />, rootElement);